<?php
if (!defined('SMF'))
	die('Hacking attempt...');

function WoWItemstats_init()
{
  global $board, $boarddir, $db_prefix, $settings, $sourcedir, $topic;
  
  ########## WoW Itemcache ###########
  $settings['wowicon_store_location'] = 'http://static.wowhead.com/images/icons/large/';
  $settings['wowicon_extension'] = '.jpg';
  $settings['wowitem_cache_table'] = $db_prefix . 'wowitem_cache';

  // set this to 1 if you want to use a shared itemcache table
  $settings['wowshared_itemcache_table'] = '0';
  
  WoWItemstats_includeCheck();
  WoWItemstats_include();
}

function WoWItemstats_includeCheck()
{
  global $board, $boarddir, $settings, $sourcedir, $topic;
  
  $settings['include_itemstats'] = false;
  
  // only include these things if we really need them
  // (e.g. in a topic, update an item or deleting not found items...)
  if (isset($_REQUEST['action']))
  {
    if ($_REQUEST['action'] == 'updatewowitem' || $_REQUEST['action'] == 'cleanwowitems' || 
        $_REQUEST['action'] == 'recent' || $_REQUEST['action'] == 'pm')
    {
      $settings['include_itemstats'] = true;
    }

    if (preg_match('#topic=#s', $_REQUEST['action'], $match))
    {
      $settings['include_itemstats'] = true;
    }
  }
  
  if (isset($_REQUEST['sa']))
  {
    if($_REQUEST['sa'] == 'showPosts')
    {
      $settings['include_itemstats'] = true;
    }
  }

  if (isset($_REQUEST['topic']))
  {
    $settings['include_itemstats'] = true;
  }
  
  // check if Tiny Portal is installed:
  require_once($sourcedir . '/itemstats/includes/LocalFileReader.php');
  $indexContent = readLocalFile($boarddir . '/index.php');
  if ($indexContent)
  {
    if (preg_match('#TPortal.php#s', $indexContent, $match))
    {
      if (empty($_REQUEST['action']))
      {
        if (empty($board) && empty($topic))
        {
          $settings['include_itemstats'] = true;
        }
      }
    }
  } 
}

function WoWItemstats_include()
{
  global $settings, $sourcedir;
  
  if ($settings['include_itemstats'])
  {
    if (!isset($settings['wowshared_itemcache']))
    {
      if ($settings['wowshared_itemcache_table'] == '1')
      {
        require_once($sourcedir . '/itemstats/includes/itemcache_shared.php');
      }
      else
      {
        require_once($sourcedir . '/itemstats/includes/itemcache.php');
      }
        
      $settings['wowshared_itemcache'] = new ItemCacheDC14();

      require_once($sourcedir . '/itemstats/itemstats.php');
      require_once($sourcedir . '/itemstats/smf_itemstats.php'); 
    }
  } 
}
?>