<?php

if (!defined('SMF'))
	die('Hacking attempt...');

// Interface to the item cache.
class ItemCacheDC14
{
	var $record      = array();             // Record                   @var record

	// Constructor
	function ItemCacheDC14() 
	{
		global $settings;
		
		// lets check if the item_cache table already exists
		$table_exists = false;
		$checkTable = db_query("CHECK TABLE {$settings['wowitem_cache_table']} FAST QUICK", __FILE__, __LINE__);
		$checkResult = mysql_fetch_row($checkTable);
		
		if(!strstr($checkResult[3],"doesn't exist"))
		{
		  $table_exists = true;
		}
	  
    if ($table_exists == false)
    {
		  $result = db_query("CREATE TABLE {$settings['wowitem_cache_table']} (
											  `item_name` varchar(100) NOT NULL default '',
											  `item_link` varchar(100) default NULL,
											  `item_color` varchar(20) NOT NULL default '',
											  `item_icon` varchar(50) NOT NULL default '',
											  `item_html` text NOT NULL,
											  `item_id` varchar(100) default NULL,
											  `item_source` varchar(5) NOT NULL default '0',
											  `item_method` varchar(5) NOT NULL default 'find',
											  `item_found` varchar(5) NOT NULL default '0',
											  UNIQUE KEY `item_name` (`item_name`),
											  FULLTEXT KEY `item_html` (`item_html`)) TYPE=MyISAM", __FILE__, __LINE__);
    }
		else
		{
		  // ok the item cache table already exists
		  // now check if the new fields already exists maybe it's an old one...
		  $result = db_query("SHOW COLUMNS FROM " . $settings['wowitem_cache_table'], __FILE__, __LINE__);
  		
  		$field_id_exists = false;
  		$field_source_exists = false;
  		$field_method_exists = false;
  		$field_found_exists = false;
  		
		  while ($tempfield = $this->fetch_record($result))
		  {
			  if($tempfield['Field'] == 'item_id')
			    $field_id_exists = true;
			    
			  if($tempfield['Field'] == 'item_source')
			    $field_source_exists = true;
			    
			  if($tempfield['Field'] == 'item_method')
			    $field_method_exists = true;
			    
			  if($tempfield['Field'] == 'item_found')
			    $field_found_exists = true;
		  }
		  
		  if($field_id_exists == false)
		    $result = db_query("ALTER TABLE " . $settings['wowitem_cache_table'] . " ADD " .
		                       "item_id varchar(100) default NULL", __FILE__, __LINE__);
		                                
		  if($field_source_exists == false)
		    $result = db_query("ALTER TABLE " . $settings['wowitem_cache_table'] . " ADD " .
		                       "item_source varchar(5) NOT NULL default '0'", __FILE__, __LINE__);
		                                
		  if($field_method_exists == false)
		    $result = db_query("ALTER TABLE " . $settings['wowitem_cache_table'] . " ADD " .
		                       "item_method varchar(5) NOT NULL default 'find'", __FILE__, __LINE__);
		                                
		  if($field_found_exists == false)
		    $result = db_query("ALTER TABLE " . $settings['wowitem_cache_table'] . " ADD " .
		                       "item_found varchar(5) NOT NULL default '0'", __FILE__, __LINE__);
		}								
	}
	
  function fetch_record($query_id = 0)
  {
      if ( $query_id )
      {
          $this->record[$query_id] = mysql_fetch_array($query_id);
          return $this->record[$query_id];
      }
      else
      {
          return false;
      }
  }

	// Cleans up resources used by this object.
	function close()
	{
	}
	
	// Returns the proper name for the specified item.
	function getItemName($name, $source)
	{
  global $db_character_set, $settings;
		
		$item_name = '';
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $name = utf8_encode($name);
      }
    }
		
		$request = db_query("SELECT item_name FROM " . $settings['wowitem_cache_table'] . 
												" WHERE item_name = '" . addslashes($name) . "'"
												, __FILE__, __LINE__);
		
		if (!empty($request))
		{
			$row = mysql_fetch_row($request);
      
      if (isset($db_character_set))
      {
        if (strcasecmp($db_character_set, 'utf8') == 0)
        {
          $item_name = utf8_decode($row[0]);
        }
      }      
      else
      {
        $item_name = $row[0];
      }
		}
				
		mysql_free_result($request);
		
		if ($item_name == null)
		{
		  // hmm maybe we must use the $name as id so lets try		  
			$item_name = '';
			
			$request = db_query("SELECT item_name FROM " . $settings['wowitem_cache_table'] . 
													" WHERE item_id = '" . addslashes($name) .
													"' AND item_source = '" . addslashes($source) . "'" , __FILE__, __LINE__);
			
			if (!empty($request))
			{
				$row = mysql_fetch_row($request);
        if (isset($db_character_set))
        {
          if (strcasecmp($db_character_set, 'utf8') == 0)
          {
            $item_name = utf8_decode($row[0]);
          }
        }      
        else
        {
          $item_name = $row[0];
        }		
			}
					
			mysql_free_result($request);
		}
		
		return $item_name;
	}
	
	// Returns the proper id for the specified item.
	function getItemId($name)
	{
    global $db_character_set, $settings;
		
		$item_id = '';
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $name = utf8_encode($name);
      }
    }
		
		$request = db_query("SELECT item_id FROM " . $settings['wowitem_cache_table'] . 
												" WHERE item_name = '" . addslashes($name) . "'"
												, __FILE__, __LINE__);
		
		if (!empty($request))
		{
			$row = mysql_fetch_row($request);
			$item_id = $row[0];		
		}
				
		mysql_free_result($request);
		
		return $item_id;
	}

	// Returns the proper source for the specified item.
	function getItemSource($name)
	{
    global $db_character_set, $settings;
		
		$item_source = '';
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $name = utf8_encode($name);
      }
    }
		
		$request = db_query("SELECT item_source FROM " . $settings['wowitem_cache_table'] . 
												" WHERE item_name = '" . addslashes($name) . "'"
												, __FILE__, __LINE__);
		
		if (!empty($request))
		{
			$row = mysql_fetch_row($request);
			$item_source = $row[0];		
		}
				
		mysql_free_result($request);
		
		return $item_source;
	}
		
	// Returns the proper method for the specified item.
	function getItemMethod($name)
	{
    global $db_character_set, $settings;
		
		$item_method = '';
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $name = utf8_encode($name);
      }
    }
		
		$request = db_query("SELECT item_method FROM " . $settings['wowitem_cache_table'] . 
												" WHERE item_name = '" . addslashes($name) . "'"
												, __FILE__, __LINE__);
		
		if (!empty($request))
		{
			$row = mysql_fetch_row($request);
			$item_method = $row[0];		
		}
				
		mysql_free_result($request);
		
		return $item_method;
	}
	
	// Returns the link for the specified item.
	function getItemLink($name)
	{		
    global $db_character_set, $settings;
		
		$item_link = '';
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $name = utf8_encode($name);
      }
    }
		
		$request = db_query("SELECT item_link FROM " . $settings['wowitem_cache_table'] . 
												" WHERE item_name = '" . addslashes($name) . "'"
												, __FILE__, __LINE__);
		
		if (!empty($request))
		{
			$row = mysql_fetch_row($request);
			$item_link = $row[0];		
		}
				
		mysql_free_result($request);
		
		return $item_link;
	}
	
	// Returns the color class for the specified item.
	function getItemColor($name)
	{		
    global $db_character_set, $settings;
		
		$item_color = '';
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $name = utf8_encode($name);
      }
    }
		
		$request = db_query("SELECT item_color FROM " . $settings['wowitem_cache_table'] . 
												" WHERE item_name = '" . addslashes($name) . "'"
												, __FILE__, __LINE__);
		
		if (!empty($request))
		{
			$row = mysql_fetch_row($request);
			$item_color = $row[0];		
		}
				
		mysql_free_result($request);
		
		return $item_color;
	}

	// Returns the icon for the specified item.
	function getItemIcon($name)
	{
    global $db_character_set, $settings;
		
		$item_icon = '';
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $name = utf8_encode($name);
      }
    }
		
		$request = db_query("SELECT item_icon FROM " . $settings['wowitem_cache_table'] . 
												" WHERE item_name = '" . addslashes($name) . "'"
												, __FILE__, __LINE__);
		
		if (!empty($request))
		{
			$row = mysql_fetch_row($request);
			$item_icon = $row[0];		
		}
				
		mysql_free_result($request);
		
		return $item_icon;
	}

	// Returns the html for the specified item.
	function getItemHtml($name)
	{
    global $db_character_set, $settings;
		
		$item_html = '';
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $name = utf8_encode($name);
      }
    }
		
		$request = db_query("SELECT item_html FROM " . $settings['wowitem_cache_table'] . 
												" WHERE item_name = '" . addslashes($name) . "'"
												, __FILE__, __LINE__);
												
		if (!empty($request))
		{
			$row = mysql_fetch_row($request);
			$item_html = $row[0];		
		}
				
		mysql_free_result($request);
		
		return $item_html;
	}

	// Returns a list of all items in the database.
	function getItems()
	{
		/*
		$result = $this->sql->query("SELECT item_name FROM " . item_cache_table);
		
		$items = array();
		while ($item = $this->sql->fetch_record($result))
		{
			array_push($items, $item['item_name']);
		}
		
		return $items;
		*/
	}

	function saveItem($item)
	{
  global $db_character_set, $settings;
	
		if (!isset($item))
		{
			return false;
		}
    
    if (isset($db_character_set))
    {
      if (strcasecmp($db_character_set, 'utf8') == 0)
      {
        $item['name'] = utf8_encode($item['name']);
      }
    }

    db_query("DELETE FROM " . $settings['wowitem_cache_table'] . " WHERE item_name = '" . addslashes($item['name']) . "'", __FILE__, __LINE__);		
		db_query("DELETE FROM " . $settings['wowitem_cache_table'] . " WHERE item_name = '" . addslashes($item['id']) . "'", __FILE__, __LINE__);
		
		// Add the entry to the database.		 
	  $result = db_query("INSERT INTO " . $settings['wowitem_cache_table'] . 
	                     " (item_name, item_id, item_source, item_method," .
	                     " item_link, item_color, item_icon, item_html, item_found)" .
	                     " VALUES (" .
											 "'" . addslashes($item['name']) . "', " . 
											 "'" . addslashes($item['id']) . "', " .
											 "'" . addslashes($item['source']) . "', " .
        "'" . addslashes($item['method']) . "', " .
        (empty($item['link']) ? 'NULL' : "'" . addslashes($item['link']) . "'") . ", " .
        "'" . addslashes($item['color']) . "', " .
        "'" . addslashes($item['icon']) . "', " .
        "'" . addslashes($item['html']) . "', " .
        "'" . addslashes($item['found']) . "')", __FILE__, __LINE__);	
    
    if (empty($result))
      db_error("Failed to update item: " . $item['name'], __FILE__, __LINE__);
    
    return $result;
  }
  
  function deleteNotFoundItems()
  {
    global $settings;
    
    $result = db_query("DELETE FROM " . $settings['wowitem_cache_table'] . 
        " WHERE item_found = '0'" , __FILE__, __LINE__);
  }
}
?>